summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--platform/osx/make_dmg.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/platform/osx/make_dmg.sh b/platform/osx/make_dmg.sh
index b463d383b..9747bd3ec 100644
--- a/platform/osx/make_dmg.sh
+++ b/platform/osx/make_dmg.sh
@@ -396,7 +396,9 @@ EOF
N=0
while [ 1 ]; do
echo "Checking up on $id"
+ set +e
status=$(xcrun altool --notarization-info $id -u $APPLE_ID -p $APPLE_PASSWORD --output-format xml)
+ set -e
summary=$(echo "$status" | grep -C1 "<key>Status</key>" | tail -n 1 | sed -e "s/ .//g")
echo "Got $summary"
if [ "$summary" == "<string>invalid</string>" ]; then